# $Revision: 1.66.2.1 $, $Date: 2012/07/08 06:51:38 $
#
# Conditional build:
%bcond_without	tests	# don't perform make check
%bcond_without	asm	# ix86 asm optimizations

%ifnarch %{ix86}
# Speed-optimized CRC64 using slicing-by-four algorithm. This uses only i386
# instructions, but it is optimized for i686 and later (including e.g. Pentium
# II/III/IV, Athlon XP, and Core 2).
%undefine	with_asm
%endif

%if "%{pld_release}" == "ac"
%undefine	with_asm
%endif

Summary:	LZMA Encoder/Decoder
Summary(pl.UTF-8):	Koder/Dekoder LZMA
Name:		xz
Version:	5.0.4
Release:	1
Epoch:		1
License:	LGPL v2.1+, helper scripts on GPL v2+
Group:		Applications/Archiving
Source0:	http://tukaani.org/xz/%{name}-%{version}.tar.bz2
# Source0-md5:	741cd3a5f64b23b7bac56ec5b2258715
URL:		http://tukaani.org/xz/
%{?with_asm:BuildRequires:	gcc >= 5:3.4}
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.402
BuildRequires:	sed >= 4.0
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Suggests:	mktemp
Provides:	lzma = %{epoch}:%{version}-%{release}
Obsoletes:	lzma < 1:4.999.6
Conflicts:	rpm < 4.4.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LZMA is default and general compression method of 7z format in 7-Zip
program. LZMA provides high compression ratio and very fast
decompression, so it is very suitable for embedded applications. For
example, it can be used for ROM (firmware) compressing.

LZMA features:

- Compressing speed: 500 KB/s on 1 GHz CPU
- Decompressing speed:
  - 8-12 MB/s on 1 GHz Intel Pentium 3 or AMD Athlon.
  - 500-1000 KB/s on 100 MHz ARM, MIPS, PowerPC or other simple RISC
    CPU.
- Small memory requirements for decompressing: 8-32 KB + dictionary
  size
- Small code size for decompressing: 2-8 KB (depending from speed
  optimizations)

%description -l pl.UTF-8
LZMA jest domyślnym i ogólnym algorytmem kompresji formatu 7z
stosowanego przez 7-Zip. LZMA zapewnia wysoki stopień kompresji i
bardzo szybką dekompresję, więc nadaje się do zastosowań osadzonych.
Przykładowo, może być użyty do kompresji ROM-u (firmware'u).

Cechy LZMA:

- Szybkość kompresowania: 500 KB/s na 1 GHz procesorze,
- Szybkość dekompresowania:
  - 8-12 MB/s na 1 GHz Pentium 3 lub Athlonie,
  - 500-1000 KB/s na 100 MHz procesorach ARM, MIPS, PowerPC lub innych
    prostych RISC-ach,
- Mała ilość pamięci potrzebna do dekompresowania: 8-32 KB + rozmiar
  słownika,
- Mały rozmiar kodu dekompresującego: 2-8 KB (w zależności od opcji
  optymalizacji).

%package libs
Summary:	LZMA shared library
Summary(pl.UTF-8):	Biblioteka współdzielona LZMA
Group:		Libraries
Provides:	lzma-libs = %{epoch}:%{version}-%{release}
Obsoletes:	lzma-libs < 1:4.999.6

%description libs
LZMA shared library.

%description libs -l pl.UTF-8
Biblioteka współdzielona LZMA.

%package devel
Summary:	Header file for LZMA library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki LZMA
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Provides:	lzma-devel = %{epoch}:%{version}-%{release}
Obsoletes:	lzma-devel < 1:4.999.6

%description devel
Header file for LZMA library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki LZMA.

%package static
Summary:	LZMA static library
Summary(pl.UTF-8):	Biblioteka statyczna LZMA
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lzma-static = %{epoch}:%{version}-%{release}
Obsoletes:	lzma-static < 1:4.999.6

%description static
LZMA static library.

%description static -l pl.UTF-8
Biblioteka statyczna LZMA.

%prep
%setup -q

%build
%configure \
	%{!?with_asm:--disable-assembler}
%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/env.d,%{_lib}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_libdir}/liblzma.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/liblzma.so.*.*.*) $RPM_BUILD_ROOT%{_libdir}/liblzma.so

echo '#XZ_OPT="--threads=2"' > $RPM_BUILD_ROOT/etc/env.d/XZ_OPT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/XZ_OPT
%attr(755,root,root) %{_bindir}/lz*
%attr(755,root,root) %{_bindir}/unlzma
%attr(755,root,root) %{_bindir}/unxz
%attr(755,root,root) %{_bindir}/xz*
%{_mandir}/man1/lz*.1*
%{_mandir}/man1/unlzma.1*
%{_mandir}/man1/unxz.1*
%{_mandir}/man1/xz*.1*

%files libs
%defattr(644,root,root,755)
%doc AUTHORS COPYING README THANKS
%doc doc/*.txt
%attr(755,root,root) /%{_lib}/liblzma.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/liblzma.so.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblzma.so
%{_libdir}/liblzma.la
%{_includedir}/lzma.h
%{_includedir}/lzma
%{_pkgconfigdir}/liblzma.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblzma.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xz.spec,v $
Revision 1.66.2.1  2012/07/08 06:51:38  qboosh
- updated to 5.0.4

Revision 1.66  2011/05/25 18:49:27  qboosh
- updated to 5.0.3

Revision 1.65  2011/04/04 14:40:31  qboosh
- updated to 5.0.2
- pl.po is already included

Revision 1.64  2011/01/30 20:34:17  arekm
- release 2

Revision 1.63  2011/01/30 14:50:52  qboosh
- fixed liblzma.so symlink
- added pl.po

Revision 1.62  2011/01/30 11:30:14  arekm
- up to 5.0.1

Revision 1.61  2010/12/13 17:57:21  qboosh
- package locales (in base, library doesn't use them)

Revision 1.60  2010/12/11 16:40:27  witekfl
- 5.0.0

Revision 1.59  2010/06/02 16:28:09  glen
- asmopt is for 32bit intel only (thx sparky)

Revision 1.58  2010/06/02 16:15:46  glen
- disable asm on ac (too old gcc)
  http://mail-index.netbsd.org/pkgsrc-changes/2009/12/14/msg033618.html

Revision 1.57  2010/05/01 14:28:01  shadzik
- rel .2

Revision 1.56  2009/09/04 11:03:33  arekm
- up to 4.999.9

Revision 1.55  2009/04/07 09:51:56  arekm
- up to 4.999.8

Revision 1.54  2009/02/06 22:20:28  arekm
- rel 0.6; make sure libs are the same as main package

Revision 1.53  2009/02/06 21:32:02  arekm
- rel .5

Revision 1.52  2009/02/06 21:26:59  arekm
- add provides/obsoletes

Revision 1.51  2009/02/06 21:21:07  arekm
- lzma-utils is now known as xz

Revision 1.50  2009/01/03 21:31:21  areq
- typo

Revision 1.49  2008/12/15 11:15:04  gotar
- fixed /bin/mktemp location in lzdiff, S: mktemp

Revision 1.48  2008/11/28 22:59:23  gotar
- C: non-tukaani rpm

Revision 1.47  2008/11/05 18:05:57  arekm
- rel .3

Revision 1.46  2008/11/05 16:56:16  arekm
- rel .2; support memory limit == 0 as unlimited

Revision 1.45  2008/10/01 11:53:29  gotar
- upgraded to 4.999.5 snap,
- added /etc/env.d/LZMA_OPT (without %env_update as it's commented out
  inside and %config(noreplace,missingok) so nothing can change)

Revision 1.44  2008/07/29 18:39:10  arekm
- fix symlink; rel .3

Revision 1.43  2008/07/29 18:36:21  arekm
- rel .2; move libs to /libXX/ as it will be used by rpm binary

Revision 1.42  2008/07/05 15:01:01  arekm
- up to 4.999.3; make check belongs to build not install

Revision 1.41  2007-12-30 14:06:38  glen
- use proper rpm macros instead

Revision 1.40  2007-12-29 19:14:30  witekfl
- fixed manuals (the .so macro used instead of symbolic links)
- lzma is written in C, so libstdc++-devel is not required
- rel .2

Revision 1.39  2007-12-16 17:43:46  qboosh
- License is basically LGPL v2.1+;
  the only GPL components packaged are lz* helper scripts (GPL v2+)
- revised doc files
- ghost soname symlink

Revision 1.38  2007-12-12 21:51:06  qboosh
- bcond header

Revision 1.37  2007-12-10 19:59:25  arekm
- run tests

Revision 1.36  2007-12-10 14:02:20  arekm
- more docs

Revision 1.35  2007-12-10 13:57:01  arekm
- up to 4.42.2

Revision 1.34  2007-12-09 22:25:23  areq
- %{epoch}: added to R:

Revision 1.33  2007-12-05 13:45:57  arekm
- switch to http://tukaani.org/lzma/ version (which has real and nice library)

Revision 1.32  2007-11-23 22:59:31  hawk
- updated to 4.55

Revision 1.31  2007-09-20 09:06:44  glen
- fix version (4.53)

Revision 1.30  2007/09/08 14:49:40  wolf
- drop profile information

Revision 1.29  2007/09/08 14:25:17  wolf
- use lzma from p7zip sources, which uses multithreading

Revision 1.28  2007/09/01 22:28:06  wolf
- 4.49
- libs broken

Revision 1.27  2007/03/05 13:19:49  tommat
- enable multilib build

Revision 1.26  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.24  2006/11/05 02:24:57  qboosh
- fixed pl for -libs/-devel/-static

Revision 1.23  2006/11/01 13:54:21  glen
- -static R: -devel

Revision 1.22  2006/11/01 13:10:03  pluto
- fix build definitevely.
  NOTE: ABI was changed compress2/uncompress -> lzma_{compress,uncompress}
  relase 5.

Revision 1.21  2006/11/01 12:56:03  pluto
- merged lzmalib fixes from lrzip, release 4.

Revision 1.20  2006/11/01 11:51:09  pluto
- build real shared lib, release 3.

Revision 1.19  2006/10/30 21:27:18  glen
- merge -libs and -static packages from AC-branch

Revision 1.18  2006/10/30 20:37:17  glen
- add todo

Revision 1.17  2006/06/21 10:46:25  wolf
- removed outdated patch

Revision 1.16  2006/06/21 09:39:48  qboosh
- merged update to 4.43 from AC-branch (updated quiet patch too)

Revision 1.1.2.1  2006/06/14 22:04:51  areq
- 4.43

Revision 1.15  2006/06/09 15:24:56  wolf
- cosmetics

Revision 1.14  2006/05/27 18:51:12  wolf
- desc update

Revision 1.13  2006/05/27 18:46:27  wolf
- 4.42

Revision 1.12  2005/12/11 10:35:28  pluto
- sdk licensed also on CPL terms, release 2.

Revision 1.11  2005/12/11 03:21:30  sparky
- oops, i must be blind too

Revision 1.10  2005/12/11 03:14:11  sparky
- damn, it was totally broken, how did it work ?
- compare in and out files

Revision 1.9  2005/11/20 23:08:30  areq
- 4.30

Revision 1.8  2005/09/05 22:37:13  qboosh
- pl for -devel

Revision 1.7  2005/09/05 22:03:20  areq
- add LZMA Library http://www.beyondlogic.org/nb5/lzma427_zlib.patch

Revision 1.6  2005/08/15 13:37:38  areq
- 4.27

Revision 1.5  2005/07/16 10:14:52  wolf
- 4.22

Revision 1.4  2005/06/12 15:42:48  pluto
- linking and profiling fixed.

Revision 1.3  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.2  2004/10/21 22:18:44  wolf
- small free speedup, gcc 3.4.x required
- rel 2

Revision 1.1  2004/10/21 21:01:16  wolf
- lzma algorithm of 7zip fame implementation capable of reading from
  stdin/writing to stdout
